%define upstream_name    Catalyst-Plugin-Authentication
%define upstream_version 0.10023

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    Infrastructure plugin for the Catalyst authentication framework
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Plugin::Session) >= 0.100.0
BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(Class::Inspector)
BuildRequires: perl(Class::MOP)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Emulate::Class::Accessor::Fast)
BuildRequires: perl(String::RewritePrefix)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

Requires:   perl >= 5.8.1
%description
The authentication plugin provides generic user support. It is the basis for
both authentication (checking the user is who they claim to be), and
authorization (allowing the user to do what the system authorises them to do).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

## Temporarily disabled waiting for upstream fix (sak)
%check
%__make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1:0.100.230-2.mga4
+ Revision: 526812
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1:0.100.230-1.mga4
+ Revision: 438851
- update to 0.10023

* Sun Jan 13 2013 umeabot <umeabot> 1:0.100.210-2.mga3
+ Revision: 363939
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 1:0.100.210-1.mga3
+ Revision: 267276
- update to 0.10021

* Tue Jun 05 2012 jquelin <jquelin> 1:0.100.200-1.mga3
+ Revision: 254653
- update to 0.10020

* Tue Aug 16 2011 jquelin <jquelin> 1:0.100.180-1.mga2
+ Revision: 133711
- update to 0.10018

* Fri Feb 25 2011 jquelin <jquelin> 1:0.100.170-1.mga1
+ Revision: 59605
- update to 0.10017

* Wed Jan 26 2011 jquelin <jquelin> 1:0.100.160-1.mga1
+ Revision: 41015
- mageia rebuild
- imported package perl-Catalyst-Plugin-Authentication

